<?php
session_start();
  include_once("../scripts/connect.php");
   $conexion=conecta_default();
include_once("../scripts/session.php");
   //Validar Session

    $sesion=new Sesion("","","");/*Se crea un objeto nuevo con el privilegio necesario para la pag. actual*/

    if(!$sesion->isValida("4")){ /*Sesion invalida*/

	 header("Location: ../index.php?err=NoSesion");

    }/*no hay sesion*/

    else{

       $dato=explode("|",$_SESSION['usuario']);
       $sesion->setDatos($dato[0],$dato[1],$dato[2]);
       $sesion->setSesion();

    }
    //fin validar session
extract($_POST);
$id_cd=$sesion->id;
  $ok=0;
  
  function FechaFormateada($FechaStamp)
	   		{
				$ano = date('Y',$FechaStamp); //<-- Año
				$mes = date('m',$FechaStamp); //<-- número de mes (01-31)
				$dia = date('d',$FechaStamp); //<-- Día del mes (1-31)
				$dialetra = date('w',$FechaStamp);  //Día de la semana(0-7)
				switch($dialetra)
				{
					case 0: $dialetra="Domingo"; break;
					case 1: $dialetra="Lunes"; break;
					case 2: $dialetra="Martes"; break;
					case 3: $dialetra="Mi&eacute;rcoles"; break;
					case 4: $dialetra="Jueves"; break;
					case 5: $dialetra="Viernes"; break;
					case 6: $dialetra="S&aacute;bado"; break;
				}
			

				switch($mes) 

				{
					case '01': $mesletra="Enero"; break;
					case '02': $mesletra="Febrero"; break;
					case '03': $mesletra="Marzo"; break;
					case '04': $mesletra="Abril"; break;
					case '05': $mesletra="Mayo"; break;
					case '06': $mesletra="Junio"; break;
					case '07': $mesletra="Julio"; break;
					case '08': $mesletra="Agosto"; break;
					case '09': $mesletra="Septiembre"; break;
					case '10': $mesletra="Octubre"; break;
					case '11': $mesletra="Noviembre"; break;
					case '12': $mesletra="Diciembre"; break;
				}	    
				return "$dialetra, $dia de $mesletra de $ano";
			}

			$fecha = time();
  			$fechaT = FechaFormateada($fecha);
  			$hora = date("h:i A",time());

   $qd = "SELECT productos_idprod, cant FROM pedido where transacciones_idtransacciones='$transac'";
 $cd = mysqli_query($conexion, $qd) or die ('Error (Registro No Encontrado (Generacion de Tabla)): ' . mysqli_error($conexion));
 
 
			while($renglon = mysqli_fetch_row($cd))

			{
 $qp = "update stock set cantidad=cantidad+$renglon[1] where idprod='$renglon[0]' and idcd='$id_cd'";
$cp = mysqli_query($conexion, $qp) or die ('Error (Registro No Encontrado): ' . mysqli_error($conexion));
				

			};

 $qp = "update depositos set status='ENTREGADO', fechad=CURDATE() where transacciones_idtransacciones='$transac'";
$cp = mysqli_query($conexion, $qp) or die ('Error (Registro No Encontrado): ' . mysqli_error($conexion));

	
 $qp22 = "update transacciones set statusentrega='ENTREGADO', fechae=CURDATE(), timee=CURTIME() where idtransacciones='$transac'";
$cp22 = mysqli_query($conexion, $qp22) or die ('Error (Registro No Encontrado): ' . mysqli_error($conexion));


echo"<centeR><table><tr><td><center><br><font size=\"5\"><b>Pedido de Stock - Entrada</b><br></font>$fechaT $hora<br>
";
 $qp3 = "select  idusuarios_ci, nombre from usuarios_ci where idusuarios_ci='$id_cd'";
   $cp3 = mysqli_query($conexion, $qp3) or die ('Error (Registro No Encontrado): ' . mysqli_error($conexion));
	$rp3 = mysqli_fetch_object($cp3);	
		$nombrecentro=$rp3->nombre;

$qp31 = "select  idusuarios_ci , nombre from usuarios_ci join depositos on depositos.centros_idcd=usuarios_ci.idusuarios_ci  where transacciones_idtransacciones=$transac";

   $cp31 = mysqli_query($conexion, $qp31) or die ('Error (Registro No Encontrado): ' . mysqli_error($conexion));
	$rp31 = mysqli_fetch_object($cp31);	
		$centros2=$rp31->idusuarios_ci;
		$nombrecentro2=$rp31->nombre;
		
				
	 echo"<table border=\"1\" cellspacing=\"0\" cellpadding=\"1\"><tr><td> Entrada al centro:</td><td><b> $id_cd $nombrecentro</b></td></tr>
<tR><td> Salida del centro:</td><td><b> $centros2  $nombrecentro2</td></tr></table>Pedido No. <b>$transac</b><br>";

 $qd22 = "SELECT cant, nombreProd, productos_idprod FROM pedido join productos on productos.id_prod=pedido.productos_idprod where transacciones_idtransacciones='$transac'";
 $cd22 = mysqli_query($conexion, $qd22) or die ('Error (Registro No Encontrado (Generacion de Tabla)): ' . mysqli_error($conexion));
 
 echo"<table border=\"1\" cellspacing=\"0\" cellpadding=\"1\"><th>Cant</th><th>Producto</th><th>ID</th>";
			while($renglon = mysqli_fetch_row($cd22))

			{
 
				echo"<tr><td align=\"center\">$renglon[0]</td><td>$renglon[1]</td><td align=\"center\">$renglon[2]</td>
				
				</tr>";

			};
  		   echo"</table><br><br><br>_____________________________<br>Entrega: <b>$nombrecentro2</b>
		   </td><td width=\"50\"></td><td><center><br><font size=\"5\"><b>Pedido de Stock - Entrada</b><br></font>$fechaT $hora<br>
";
 $qp3 = "select  idusuarios_ci, nombre from usuarios_ci where idusuarios_ci='$id_cd'";
   $cp3 = mysqli_query($conexion, $qp3) or die ('Error (Registro No Encontrado): ' . mysqli_error($conexion));
	$rp3 = mysqli_fetch_object($cp3);	
		$nombrecentro=$rp3->nombre;

$qp31 = "select  idusuarios_ci , nombre from usuarios_ci join depositos on depositos.centros_idcd=usuarios_ci.idusuarios_ci  where transacciones_idtransacciones=$transac";

   $cp31 = mysqli_query($conexion, $qp31) or die ('Error (Registro No Encontrado): ' . mysqli_error($conexion));
	$rp31 = mysqli_fetch_object($cp31);	
		$centros2=$rp31->idusuarios_ci;
		$nombrecentro2=$rp31->nombre;
		
				
	 echo"<table border=\"1\" cellspacing=\"0\" cellpadding=\"1\"><tr><td> Entrada al centro:</td><td><b> $id_cd $nombrecentro</b></td></tr>
<tR><td> Salida del centro:</td><td><b> $centros2  $nombrecentro2</td></tr></table>Pedido No. <b>$transac</b><br>";

 $qd22 = "SELECT cant, nombreProd, productos_idprod FROM pedido join productos on productos.id_prod=pedido.productos_idprod where transacciones_idtransacciones='$transac'";
 $cd22 = mysqli_query($conexion, $qd22) or die ('Error (Registro No Encontrado (Generacion de Tabla)): ' . mysqli_error($conexion));
 
 echo"<table border=\"1\" cellspacing=\"0\" cellpadding=\"1\"><th>Cant</th><th>Producto</th><th>ID</th>";
			while($renglon = mysqli_fetch_row($cd22))

			{
 
				echo"<tr><td align=\"center\">$renglon[0]</td><td>$renglon[1]</td><td align=\"center\">$renglon[2]</td>
				
				</tr>";

			};
  		   echo"</table><br><br><br>_____________________________<br>Entrega: <b>$nombrecentro2</b></td></tr></table>";
  		   
?>



